# Refresh local ideas

```http
POST https://api.synup.com/api/v4/local-post-ideas/refresh-ideas
```

Regenerates the set of AI post ideas for a location. Returns a pipeline ID; poll Local pipeline status for progress.

Source: https://developer.synup.com/api/local-post-ideas/refresh-local-ideas

## Header parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `Synup-Version` | string | required | API version date (YYYY-MM-DD). |

## Request body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `locationId` | string | required |  |

## Example request

```bash
curl -X POST 'https://api.synup.com/api/v4/local-post-ideas/refresh-ideas' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "TG9jYXRpb246MQ=="
}'
```

## Responses

| Status | Description |
| --- | --- |
| `200` | Successful response |
| `401` | Unauthorized - Invalid or missing API key |
